Subject: bug#25105: closed (Re: bug#25400: bug#25105: bug#25400: M-p in diff-mode jumps too far)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Jan 2017 03:03:01 +0000

Your bug report

#25105: 26.0.50; diff navigation is broken

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25105: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25105
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25400: bug#25105: bug#25400: M-p in diff-mode jumps too far
From: Tino Calancha <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 21 Jan 2017 12:02:34 +0900 (JST)
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, 14 Jan 2017, Dmitry Gutov wrote:

> On 13.01.2017 06:55, Tino Calancha wrote:
>
>> I have pushed those changes into following new branch:
>> scratch/calancha-revert-2c8a7e5
>
> I've tried it out (but not the changes discussed in this thread later), and 
> the behavior is much better. Thanks!
>
> Please apply it to master sooner rather than later.
Pushed the fix to master branch as commits:
1508b538fd8f8c2e00aadcea42ac36013fad02e3
e5e42cefd7f2eb47d2c8660a7a317e8b08d36a82

Subject: 26.0.50; diff navigation is broken
From: Mark Oteiza <[email-masked]>
To: [email-masked]
Date: Sun, 04 Dec 2016 10:13:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I am guessing this is a consequence of bug#17544. From -Q:

1. Do C-x v d RET = in a repository with a bunch of worktree changes
2. Hit n. Point is now at the top of the SECOND hunk
3. Go to end of buffer.
4. Hit p. Point is now at the top of the PENULTIMATE hunk

Further, from -Q:

1. Find a file generated by git format-patch. I had on hand the v2 patches
from bug#24966.
2. Hit M-n. Emacs complains "Can’t find the beginning of the file"

These are all regressions from Emacs 25.1

In GNU Emacs 26.0.50.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw scroll bars)
 of 2016-12-04 built on logos
Repository revision: 35a86f0b6fe5634e94212964657c538739743d72

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --without-gconf --with-modules
 --with-x-toolkit=lucid 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe
 -fstack-protector-strong -g -fvar-tracking-assignments -g
 -fvar-tracking-assignments' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
LUCID X11 MODULES LIBSYSTEMD

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix